set-expr.cpp File Reference
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Gecode::SetExpr::Node
| Node for set expression More...
class | Gecode::MiniModel::SetNonLinIntExpr
| Integer valued set expressions. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::MiniModel
| Minimalistic modeling support.

## Functions

SetExpr | Gecode::operator& (const SetExpr &, const SetExpr &)
| Intersection of set expressions.
SetExpr | Gecode::operator| (const SetExpr &, const SetExpr &)
| Union of set expressions.
SetExpr | Gecode::operator+ (const SetExpr &, const SetExpr &)
| Disjoint union of set expressions.
SetExpr | Gecode::operator- (const SetExpr &)
| Complement expression.
SetExpr | Gecode::operator- (const SetExpr &, const SetExpr &)
| Difference of set expressions.
SetExpr | Gecode::singleton (const LinIntExpr &)
| Singleton expression.
SetExpr | Gecode::inter (const SetVarArgs &)
| Intersection of set variables.
SetExpr | Gecode::setunion (const SetVarArgs &)
| Union of set variables.
SetExpr | Gecode::setdunion (const SetVarArgs &)
| Disjoint union of set variables.
LinIntExpr | Gecode::cardinality (const SetExpr &)
| Cardinality of set expression.
LinIntExpr | Gecode::min (const SetExpr &)
| Minimum element of set expression.
LinIntExpr | Gecode::max (const SetExpr &)
| Minimum element of set expression.
SetVar | Gecode::expr (Home home, const SetExpr &e)
| Post set expression and return its value.